flac (1.3.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Fabian Greffrath ]
  * libFLAC/bitreader.c: Fix out-of-bounds read (CVE-2020-0499),
    Closes: #977764.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 21 Dec 2020 16:39:34 +0100

flac (1.3.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Fabian Greffrath ]
  * New upstream version 1.3.3
  * Remove patches applied upstream.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Use secure URI in debian/watch.
  * Update symbols files with new symbols and Build-Depends-Package lines.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Aug 2019 12:02:03 +0200

flac (1.3.2-3) unstable; urgency=medium

  * Use my debian account in Uploaders field and
    update Debian packaging copyright information.
  * Bump debhelper compat to 11.
  * Add patch by Dafydd Harries to make the build reproducible
    (Closes: #846893).
  * Bump Standards-Version to 4.1.4.
  * Drop versioned Build-Depends on g++.
  * Mark libflac-doc as Multi-Arch: foreign.
  * Remove unused debian/libflac-doc.lintian-overrides.
  * Move doxygen to Build-Depends-Indep and adjust debian/rules accordingly
    (Closes: #706805).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 16 May 2018 21:35:01 +0200

flac (1.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Fabian Greffrath ]
  * Apply two commits from upstream's GIT repo to fix memory leaks
    (Closes: #897015, CVE-2017-6888).

 -- Fabian Greffrath <fabian@debian.org>  Tue, 01 May 2018 20:56:47 +0200

flac (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches:
    - Refresh patches.
    - Remove patches integrated upstream.
  * debian/copyright: Update copyright years.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.
  * debian/{rules,control,compat}: Bump dh compat to 10.
  * debian/libflac-doc.lintian-overrides: Override incorrect lintian warning
    about jquery.js.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Jan 2017 20:36:10 +0100

flac (1.3.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Aug 2015 02:01:47 +0200

flac (1.3.1-3) experimental; urgency=medium

  * Team upload.
  * Rename libflac++6 to libflac++6v5 for GCC 5 transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 21:32:22 +0200

flac (1.3.1-2) unstable; urgency=low

  * Team upload.

  [ Dmitry Smirnov ]
  * Pin all C++ symbols in "libflac++6.symbols" to current version
    (Closes: #783258).
  * Copyright updates/lintianisation:
    - space-in-std-shortname-in-dep5-copyright
    - file-without-copyright-information
  * Updated Vcs-Browser URL.
  * Upload to unstable.

  [ Fabian Greffrath ]
  * Drop (fake)root privileges, but still skip running test suite as it is
    _exhaustive_.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Apr 2015 19:29:44 +1000

flac (1.3.1-1) experimental; urgency=medium

  [ Jackson Doak ]
  * Disable silent rules
  * Enable hardening
  * Add symbols files

  [ Fabian Greffrath ]
  * Adapt debian/watch file to reflect actual upstream versioning scheme.
  * Imported Upstream version 1.3.1
    + Fixes CVE-2014-8962 and CVE-2014-9028 (Closes: #770918).
    + Support for 3DNOW! optimizations has been removed.
    + Localized RU documentation has been removed.
  * Drop patches applied upstream.
  * Backport patch from upstream GIT to fix another input validation bug.
  * Fix "privacy-breach-logo" and "privacy-breach-w3c-valid-html"
    lintian errors.
  * In debian/rules, remove the "override_dh_makeshlibs" rule
    for the symbols files to have effect.
  * Update, improve and convert debian/copyright to machine-readable format.
  * Bump Standards-Version to 3.9.6.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 01 Dec 2014 18:32:57 +0100

flac (1.3.0-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * switch to xz compression
  * Bump standards version (no changes)

  [ Fabian Greffrath ]
  * Add -lflac to flac++'s pkg-config file (Closes: #713645);
    thanks Sebastian Ramacher.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 03 Sep 2013 21:38:39 +0200

flac (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0 (Closes: #527542, #705601).
  * Update debian/watch file, thanks Ulrich Klauer (Closes: #710062).
  * Revert "Remove manpages from master branch."
  * Imported Upstream version 1.3.0
  * Convert package to "3.0 (quilt)" source format.
  * Remove all patches, they have either been merged upstream or do not
    apply anymore (tested).
  * Explicitly enable static libraries.
  * Simplify debian/libflac-doc.install.
  * Bump shlibs for added symbols.
  * Remove needless Build-Depends: libid3-3.8.3-dev.
  * Update Homepage field.
  * Repair upstream manpage regeneration rule.
  * Bump Build-Depends: debhelper (>= 9).
  * Fix vcs-field-not-canonical.
  * Import two patches from upstream GIT:
    + Add missing config.h includes.
    + Fix local_strcat() to terminate string correctly.
  * Disable 3DNow! optimizations, enable SSE only on amd64, enable Altivec
    only on ppc64, disable ASM optimizations elsewhere.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 07 Jun 2013 10:24:30 +0200

flac (1.2.1-6) UNRELEASED; urgency=medium

  * Fix "format not a string literal and no format arguments
    [-Werror=format-security]" errors (Closes: #643377).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 05 Oct 2011 14:26:47 +0200

flac (1.2.1-5) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Transition package to multiarch (Closes: #637582)

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Aug 2011 12:55:20 +0200

flac (1.2.1-4) unstable; urgency=low

  [ Fabian Greffrath ]
  * Convert patch tracking system from dpatch to quilt.
  * Convert package to use dh7 with quilt and autotools-dev sequence
    addons.
  * Clean up debian/control and debian/flac.install.
  * Remove unnecessary debian/fixrpath.
  * Skip test suite, it was also skipped before.
  * Bring back config.sub and config.guess from upstream branch.
  * Improve debian/copyright.
  * Remove special handling of CFLAGS for m68k.
  * debian/patches/12_ac_config_macro_dir.patch: New patch, fixes
    "undefined macro: AM_PATH_XMMS" and similar errors which cause
    autoreconf to fail.
  * Drop debian/patches/90_autoreconf.patch in favour of dh-autoreconf.
  * Convert patch tracking system from dpatch to quilt.
  * Convert package to use dh7 with quilt and autotools-dev sequence addons.
  * Clean up debian/control and debian/flac.install.
  * Remove unseless debian/fixrpath.
  * Prepare new changelog entry.
  * Skip test suite, it was also skipped before.
  * Bring back config.sub and config.guess from upstream branch.
  * Clarify dh_auto_test should be omitted.
  * Update debian/changelog.
  * Improve debian/copyright.
  * Update debian/changelog.
  * Remove special handling of CFLAGS for m68k.
  * debian/patches/12_ac_config_macro_dir.patch: New patch, fixes
    "undefined macro: AM_PATH_XMMS" and similar errors which cause
    autoreconf to fail.
  * Drop debian/patches/90_autoreconf.patch in favour of dh-autoreconf.
  * Update debian/changelog.
  * Remove 90_autoreconf.patch from debian/patches/series as well.

  [ Alessio Treglia ]
  * debian/control:
    - Bump Standards.
    - Fix team's name.
  * debian/patches/13_replaygain_c_locale.patch:
    - flac should not use locales when running with 'replaygain'
      option (Closes: #498050).
  * debian/patches/14_metadata_iterators_memleak.patch:
    - Fix memoy leak in metadata_iterators.c, 'node' is not freed;
      Patch taken from upstream's patchtracker.
  * Add .gitignore to skip quilt files.
  * Add gbp config file.
  * Get rid of unneeded *.la files (Closes: #633177).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Sat, 09 Jul 2011 11:51:59 +0200

flac (1.2.1-3) unstable; urgency=low

  * Add Joshua Kwan back to Uploaders, sorry!
  * Update my e-mail address.
  * Fix "libFLAC.m4 may set empty -L flag when configure is called
    without arguments" (Closes: #579025).
  * Consider *gnuspe which matches powerpc-unknown-linux-gnuspe where
    AltiVec is not available at all (Closes: #585518), thanks Sebastian
    Andrzej Siewior.
  * Mandatory autoreconf.
  * Add debian/source/format, keep at 1.0 for now.
  * Add debian/README.source.
  * Add Vcs-* and Homepage fields.
  * Bump Standards-Version to 3.8.4.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 15 Jun 2010 14:37:46 +0200

flac (1.2.1-2) unstable; urgency=high

  * New maintainer (Closes: #539565).
  * Acknowledge NMUs (Closes: #456726, #455304, #525826, #525829).
  * Urgency high, because of fixed RC bugs.

  * Set Maintainer to Debian multimedia packages maintainers and added
    myself to Uploaders.
  * Wrapped and sorted Build-Depends.
  * Added ${misc:Depends} to all packages and wrapped Depends fields.
  * Bumped debhelper compat to 7.
  * Removed versioned dependency on g++ and libid3-3.8.3-dev, the
    required versions are already in oldstable.
  * Bumped Standards-Version to 3.8.2.
  * Removed Conflicts and Replaces against packages that aren't even in
    oldstable anymore.
  * Point to versioned license file (GPL-2).
  * Use dh_prep instead of dh_clean -k.
  * Update config.sub and config.guess in the configure rule and remove
    them in the clean target.
  * Fixed doc-base-uses-applications-section.
  * debian/patches/09_noexec-stack.dpatch: New patch to indicate that
    libFLAC.so doesn't need an executable stack (Closes: #467544),
    Thanks Russell Coker <russell@coker.com.au>.
  * Added shlibs information for libflac8 and libflac++6 (Closes:
    #481428, #508293).
  * Fixed binary-control-field-duplicates-source.
  * Added patch description to debian/patches/02_doc_path.dpatch.
  * Added patch description to debian/patches/08_gcc-4.3_fixes.dpatch.
  * Regenerate manpages at compile time: Add docbook-to-man to Build-
    Depends, change debian/patches/02_doc_path.dpatch to modify
    man/flac.sgml, stop touching man/flac.1 in debian/rules and remove
    the manpages in the clean target.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Tue, 04 Aug 2009 08:54:15 +0200

flac (1.2.1-1.3) UNRELEASED; urgency=low

  * Non-maintainer upload.
  * Disable use of asembler optimizations. (closes: #525826)
  * Provide proper architecture information to build system. (closes: #525829)

 -- Bastian Blank <waldi@debian.org>  Mon, 27 Apr 2009 13:09:23 +0000

flac (1.2.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455304)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:02:56 +0100

flac (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop xmms-flac as xmms is being dropped (Closes: #456726).

 -- Luk Claes <luk@debian.org>  Mon, 21 Jan 2008 18:23:12 +0000

flac (1.2.1-1) unstable; urgency=low

  * New upstream release. closes: #434701
  * Updated the versioned build-dependency on nasm. closes: #439277
  * Patch work:
    - (REMOVED) 01_ldpath_fix.dpatch: fixed upstream

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 24 Sep 2007 10:48:12 -0700

flac (1.1.4-3) unstable; urgency=low

  * The "It's Never Too Late to Mend" release.
  * Finally, since liboggflac and libflac have been merged, make libflac-dev
    depend on libogg-dev. closes: #427742

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 06 Jun 2007 08:32:47 -0700

flac (1.1.4-2) unstable; urgency=low

  * Provide flac.pc and flac++.pc. closes: #427651
  * Fix typo in libFLAC.m4 that messes up LD_LIBRARY_PATH by mistake if it's
    previously set. closes: #427473
  * Correct path to documentation. closes: #413411
  * Updated ${Source-Version} usage to ${binary:Version} all around.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 06 Jun 2007 01:09:18 -0700

flac (1.1.4-1) unstable; urgency=low

  * New upstream release. closes: #405167, #411311
    - libOggFLAC and libOggFLAC++ have been merged into libFLAC, so
      remove their corresponding packages.
    - Because of the API changes required to effect the above, there has
      been yet another soname bump. libflac7 -> libflac8 and
      libflac++5 -> libflac++6. Emails have been dispatched to the
      maintainers of dependent packages.
  * Some notes on patches that were removed:
    - 02_stdin_stdout, 06_manpage_mention_utf8_convert: merged upstream
    - 08_manpage_warnings: Upstream has changed the manpage so it defintely
      can't fit in in 80 cols, so just forget about it. We'll live.
    - 05_eof_warnings_are_errors: Upstream decided to add a -w option to
      flac to treat all warnings as errors. I am going to defer to that
      for now, but if people think it's stupid let me know and I'll port
      the patch forward.
    - 04_stack_smasher: was a backport from 1.1.3, so it's obsolete.

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 29 May 2007 22:56:36 -0700

flac (1.1.2-6) unstable; urgency=high

  * Update 04_stack_smasher.dpatch, a more complete fix backported from
    1.1.3. This should fix the XMMS crash issue, thanks Jan Luebbe.
    closes: #401774

 -- Joshua Kwan <joshk@triplehelix.org>  Fri, 12 Jan 2007 01:12:14 -0800

flac (1.1.2-5) unstable; urgency=low

  * Add description for --no-utf8-convert option in metaflac.1.
    closes: #345785
  * Don't exit 0 when a wrong option to flac is entered. closes: #329979

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 27 May 2006 23:07:10 -0600

flac (1.1.2-4) unstable; urgency=low

  * Acknowledge NMU, now that it's snugly in testing. closes: #340960
  * Fix the watch file.
  * Make symlinks for /usr/lib/bmp in xmms-flac to 'provide' bmp-flac,
    since input plugins between the two players are interchangeable.
    closes: #327108, #356788
  * Bump Standards-Version.
  * Fix a goof in the rules that prevented ldconfig from happening in the
    postinst of all the library packages.

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 23 May 2006 21:17:41 -0700

flac (1.1.2-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Turn EOF warnings into errors (Closes: #340960).

 -- Luk Claes <luk@debian.org>  Tue, 28 Feb 2006 23:28:02 +0100

flac (1.1.2-3) unstable; urgency=medium

  * Brown paper bag release.
  * Patch work:
    - 03_cosmetic_flac_stats.dpatch: It actually did mess with some features.
      Add *one* conditional to fix the bug. Thanks Rodney Gordon II
      <meff@pobox.com> for helping debug. closes: #325078

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 27 Aug 2005 00:09:06 -0700

flac (1.1.2-2) unstable; urgency=medium

  * The "GO BEARS" release
  * Patch work:
    - 04_stack_smasher.dpatch: Fix a really dumb stack smasher that's been
      fixed in CVS for several months but a maintenance release hasn't been
      made for. closes: #324783

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 24 Aug 2005 00:20:17 -0700

flac (1.1.2-1) unstable; urgency=low

  * New maintainer.
  * Acknowledge NMU, thanks Steve; closes: #319235
  * New upstream release, closes: #297331
  * Clean up all the Conflicts/Replaces that no longer apply at all.
  * Remove dependencies on debconf.
  * Move documentation to new package libflac-doc, closes: #212645, #289737
  * Tighten libid3-3.8.3-dev dependencies because of C++ transition. Just
    in case.
  * SONAMEs once again changed upstream, rebuild your packages!
    By virtue of being a SONAME change, this upload invalidates and thus
    closes: #301037, #297964, #298035
    - libflac6 -> libflac7
    - liboggflac1 -> liboggflac3
    - libflac++4c2 -> libflac++5
    - liboggflac++0c2 -> liboggflac++2
  * Patch work (now using dpatch):
    - 01_relibtoolize.dpatch: Autotools Suck.
    - 02_stdin_stdout.dpatch: Fix a reference in documentation to 'stdin' that
      really means 'stdout', thanks dann frazier. closes: #207084
    - 03_cosmetic_flac_stats.dpatch: Fix progress display with long filenames
      (Not intensively tested, but never fear: no actual features were harmed
      in the development of this bugfix.) closes: #138828
  * Bump Standards-Version to 3.6.2, no changes necessary.
  * Bump debhelper compatibility level to 4 and use debian/compat instead
    of DH_COMPAT.
  * Amend the description of flac to mention metaflac as well as flac.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 18 Aug 2005 02:53:09 -0700

flac (1.1.1-5) unstable; urgency=low

  * libflac++4 Conflicts: libflac++2c102 (= 1.1.1-1) for the same reasons
    as in 1.1.1-3 (Closes: #290353)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 14 Jan 2005 09:37:44 -0800

flac (1.1.1-4) unstable; urgency=low

  * Re-libtoolize to fix various build weirdnesses and a broken xmms-flac
    on amd64 (Closes: #289243)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  8 Jan 2005 15:08:22 -0800

flac (1.1.1-3) unstable; urgency=low

  * libflac6 conflicts with the broken version of libflac4 (Closes: #289077)
  * Disable asm optimizations on powerpc, fixing FTBFS (Closes: #289130)
    - Apply patch from Eric Wong to fix compilation when asm
      optimizations are disabled
  * Update to new package names in argument to dh_shlibdeps -l

 -- Matt Zimmerman <mdz@debian.org>  Thu,  6 Jan 2005 20:23:08 -0800

flac (1.1.1-2) unstable; urgency=low

  * Fix -dev dependencies for soname transition (oops)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  5 Jan 2005 10:13:34 -0800

flac (1.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #275324)
    - Merges all of our patches to common code
    - Fixes handling of long filenames (Closes: #213172)
    - Properly quotes AM_PATH_LIBFLAC (Closes: #254127)
    - Uses a much newer version of autotools (Closes: #263837)
    - Should fix problems with 8-bit audio samples (Closes: #179764)
    - Fixes segfault on some invalid files (Closes: #274301)
    - Fixes problems with very long files (Closes: #200435)
    - Fixes FLAC__STREAM_ENCODER_NOT_STREAMABLE error (Closes: #196556)
    - Man page is improved (Closes: #196812)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  5 Jan 2005 08:29:18 -0800

flac (1.1.0-11) unstable; urgency=low

  * Ensure that libFLAC is linked with -lm on all architectures, and
    regardless of whether nasm is present

 -- Matt Zimmerman <mdz@debian.org>  Fri, 16 Apr 2004 15:14:31 -0700

flac (1.1.0-10) unstable; urgency=low

  * Touch man/flac.1, to avoid trying to build it even if the timestamp is
    skewed (Closes: #203580)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 30 Jul 2003 22:41:51 -0400

flac (1.1.0-9) unstable; urgency=low

  * Re-run automake so that the fix for #202694 actually takes effect
    (why is this working for me on i386 every time?)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 29 Jul 2003 19:53:17 -0400

flac (1.1.0-8) unstable; urgency=low

  * Pregenerate the flac.1 man page (Closes: #203024)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 29 Jul 2003 08:13:50 -0400

flac (1.1.0-7) unstable; urgency=low

  * Link flac itself with -lm, in addition to libFLAC (why did this work
    for me?) (Closes: #202964)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 26 Jul 2003 11:58:14 -0400

flac (1.1.0-6) unstable; urgency=low

  * Run automake so that library linking changes take effect.
    (Closes: #194718)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 26 Jul 2003 00:09:32 -0400

flac (1.1.0-5) unstable; urgency=low

  * Long-overdue policy check
    - Build with -g always, and omit -O2 for debug builds
    - Pull in changes from upstream CVS to link all shared libraries
      against dependent libraries (Closes: #194718)
    - Standards-Version: 3.6.0

 -- Matt Zimmerman <mdz@debian.org>  Thu, 17 Jul 2003 22:43:01 -0400

flac (1.1.0-4) unstable; urgency=low

  * Clean up diff
  * Move -dev packages to Section: libdevel
  * Build-Depend on libid3-3.8.3-dev (Closes: #196285)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  7 Jun 2003 00:54:50 -0400

flac (1.1.0-3) unstable; urgency=low

  * Build various libraries used in the build tree using libtool rather
    than plain .a archives, in order to get PIC code for linking into
    shared libraries (Closes: #179434)
  * Metaflac manpage was included upstream in 1.1.0 (Closes: #170598)
  * Versioned build-dependency on nasm was added in 1.1.0-1
    (Closes: #175944)
  * 1.1.0 was uploaded (Closes: #178620)

 -- Matt Zimmerman <mdz@debian.org>  Sun,  2 Feb 2003 18:02:34 -0500

flac (1.1.0-2) unstable; urgency=low

  * Clean up -dev package dependencies
    - libflac++-dev depends: libflac-dev (Closes: #179422)
    - liboggflac-dev depends: libflac-dev
    - liboggflac++-dev depends: liboggflac-dev, libflac++-dev

 -- Matt Zimmerman <mdz@debian.org>  Sun,  2 Feb 2003 01:32:28 -0500

flac (1.1.0-1) unstable; urgency=low

  * New upstream release
  * liboggflac0 -> liboggflac1
  * liboggflac1 unfortunately conflicts with liboggflac0 due to an
    accidental file overlap

 -- Matt Zimmerman <mdz@debian.org>  Fri, 31 Jan 2003 16:26:37 -0500

flac (1.0.4-5) unstable; urgency=low

  * Build with g++ 3.2
  * Build-depends: g++ (>= 2:3.2)
  * libflac++2 -> libflac++2c102
  * liboggflac++0 -> liboggflac++0c102

 -- Matt Zimmerman <mdz@debian.org>  Tue,  7 Jan 2003 20:26:25 -0500

flac (1.0.4-4) unstable; urgency=low

  * Build libplugin-common as PIC (Closes: #162718)
  * Remove libflac-dev's relation with itself (thanks, lintian)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Nov 2002 01:34:23 -0500

flac (1.0.4-3) unstable; urgency=low

  * A file which belonged in libflac-dev ended up in flac 1.0.4-1, so
    libflac-dev Replaces: libflac-dev (= 1.0.4-1) (Closes: #163847)

 -- Matt Zimmerman <mdz@debian.org>  Tue,  8 Oct 2002 16:39:28 -0400

flac (1.0.4-2) unstable; urgency=medium

  * Fix libflac and libflac++ shared library package names, which were
    invalidated by an unexpected soname change (Closes: #162907)
  * Split liboggflac and liboggflac++ into separate packages

 -- Matt Zimmerman <mdz@debian.org>  Sat,  5 Oct 2002 22:42:56 -0400

flac (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Thu, 26 Sep 2002 10:32:24 -0400

flac (1.0.3-3) unstable; urgency=low

  * Tidy up installation of documentation (Closes: #159676)

 -- Matt Zimmerman <mdz@debian.org>  Thu,  5 Sep 2002 08:15:58 -0400

flac (1.0.3-2) unstable; urgency=low

  * Change libflac++-dev to Section: devel

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Jul 2002 11:45:28 -0400

flac (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Thu,  4 Jul 2002 20:14:59 -0400

flac (1.0.2+1.0.3beta-1) experimental; urgency=low

  * New upstream pre-release
  * Now provides a C++ library as well
  * Use dh_makeshlibs to create shlibs control files

 -- Matt Zimmerman <mdz@debian.org>  Sat, 15 Jun 2002 11:59:46 -0400

flac (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Fixes a bug which crashed the input plugins after playing a few files
    (Closes: #123210)
  * Fixes issues with the assembler optimizations, so that they can be
    re-enabled for better performance on i386

 -- Matt Zimmerman <mdz@debian.org>  Mon, 10 Dec 2001 03:09:22 -0500

flac (1.0.1-2) unstable; urgency=low

  * Pre-generate man page, since something has changed upstream (Closes:
    #120463)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 21 Nov 2001 14:19:29 -0500

flac (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Raw encoding bug is fixed upstream (Closes: #119396)
  * Manpage is fixed upstream (Closes: #107207)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 19 Nov 2001 15:33:42 -0500

flac (1.0-3) unstable; urgency=low

  * Tighten build-dependency on debconf, since we use DH_COMPAT=3
    (Closes: #115663)
  * Disable assembler optimizations, as they seem to cause problems on
    some systems.

 -- Matt Zimmerman <mdz@debian.org>  Tue, 16 Oct 2001 07:38:13 -0400

flac (1.0-2) unstable; urgency=low

  * Fix shlibs file (it was trying to use a substitution variable)
    (Closes: #107614)

 -- Matt Zimmerman <mdz@debian.org>  Fri,  3 Aug 2001 16:54:20 -0400

flac (1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Upstream now ships our man page, so there's no need to
    build-depend on docbook-to-man.  Build-dependency removed.
  * debian/rules: Let upstream makefiles install headers and man page
  * debian/control: Upstream library soname version has changed, modified
    accordingly
  * debian/rules: shlibs hackery is apparently no longer necessary, as
    dpkg-shlibdeps will find shlibs files in package/DEBIAN
  * Build-Depend on nasm on i386 to take advantage of optimized assembly
    routines
  * debian/rules, debian/control: Move the .la libtool widget from the
    runtime package to the development package, and add Replaces
  * ltmain.sh: Hack up to get things to work with libtool 1.4
    <http://lists.debian.org/debian-devel-0105/msg02160.html>
  * debian/rules: DH_COMPAT=3

 -- Matt Zimmerman <mdz@debian.org>  Wed, 25 Jul 2001 15:57:29 -0400

flac (0.10-2) unstable; urgency=low

  * Fix a build error with the xmms plugin that resulted in a broken
    xmms-flac.  Patch forwarded upstream. (Closes: #101827)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 21 Jun 2001 15:43:39 -0400

flac (0.10-1) unstable; urgency=low

  * New upstream version.

 -- Matt Zimmerman <mdz@debian.org>  Thu, 14 Jun 2001 16:05:29 -0400

flac (0.9-1) unstable; urgency=low

  * New upstream version.
  * From the upstream changelog:
  * FLAC 0.9 released.  There were some format changes that broke backwards
    compatibility but these should be the last (see below). Also, there have
    been several bug fixes and some new features:
      + FLAC's sync code has been lengthened to 14 bits from 9 bits. This
        should enable a faster and more robust synchronization mechanism.
      + Two reserved bits were added to the frame header.
      + A CRC-16 was added to the FLAC frame footer, and the decoder now does
        frame integrity checking based on the CRC.
      + The format now includes a new subframe field to indicate when a
        subblock has one or more 0 LSBs for all samples. This increases
        compression on some kinds of data.
      + Added two options to the analysis mode, one for including the residual
        signal in the analysis file, and one for generating gnuplot files of
        each subframe's residual distribution with some statistics. See the
        latest documentation.
      + XMMS plugin now supports 8-bit files.
    FLAC is on track for an official 1.0 release soon.

 -- Matt Zimmerman <mdz@debian.org>  Fri,  6 Apr 2001 07:41:30 -0400

flac (0.8-1) unstable; urgency=low

  * New upstream version.
  * From the upstream changelog:
  * This release is a result of extensive testing and fixes several bugs
    encountered when pushing the encoder to the limit. I'm pretty
    confident in the stability of the encoder/decoder now for all kinds of
    input. There have also been several features added. Here is a complete
    list of the changes since 0.7:
      + Created a new utility called metaflac. It is a metadata editor for
        .flac files. Right now it just lists the contents of the metadata
        blocks but eventually it will allow update/insertion/deletion.
      + Added two new metadata blocks: PADDING which has an obvious function,
        and APPLICATION, which is meant to be open to third party applications.
        See the latest format docs for more info, or the new id registration
        page.
      + Added a -P option to flac to reserve a PADDING block when encoding.
      + Added support for 24-bit files to flac (the FLAC format always
        supported it).
      + Started the Winamp3 plugin.
      + Greatly expanded the test suite, adding more streams (24-bit streams,
        noise streams, non-audio streams, more patterns) and more option
        combinations to the encoder. The test suite runs about 30 streams and
        over 5000 encodings now.
  * This version includes a patch to configure.in from upstream CVS (an
    omitted AC_OUTPUT file).

 -- Matt Zimmerman <mdz@debian.org>  Fri,  9 Mar 2001 03:58:56 -0500

flac (0.7-1) unstable; urgency=low

  * New upstream version.
  * Note that this version contains a known bug that, according to the
    author, is revealed when encoding more than 2 channels using a large
    blocksize (>32k samples).  See
    http://flac.sourceforge.net/news.html#20010212 for more information.

 -- Matt Zimmerman <mdz@debian.org>  Fri, 23 Feb 2001 01:14:10 -0500

flac (0.6-2) unstable; urgency=low

  * Display a note about backward compatibility
  * Warn users of pre-0.6 versions about upgrading, as 0.6 cannot read
    files encoded with previous versions (Closes: #84630)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  3 Feb 2001 20:46:22 -0500

flac (0.6-1) unstable; urgency=low

  * New upstream version:
    - encoding speed in default mode (-6) is at least 3x faster
    - a new "loose mid-side" adaptive algorithm should help -1 and -5 modes
    - a new analyze mode for developers
    - bug fixes related to pipes
  * Our automake patches have been incorporated upstream, so we no longer
    need them in the Debian diff
  * Added manpage for flac
  * Run ldconfig in postinst (oops)
  * Cleaned up debian/ directory

 -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Jan 2001 14:50:11 -0500

flac (0.5-2) unstable; urgency=low

  * Fixed binary package sections to match override file (oops)
  * debian/rules: Set execute permissions on autoconf scripts created in the
    debian diff (Closes: #83105)
  * Honor DEB_BUILD_OPTIONS (nostrip, debug)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 22 Jan 2001 14:57:31 -0500

flac (0.5-1) unstable; urgency=low

  * Initial Release.

 -- Matt Zimmerman <mdz@debian.org>  Wed, 17 Jan 2001 14:52:43 -0500
